Bug 203141 - lost accelerated 3D for i810 on FC5
Summary: lost accelerated 3D for i810 on FC5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-18 16:13 UTC by Mihai Harpau
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-02 08:32:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for i810 vers. 1.4.1.3 (68.15 KB, application/octet-stream)
2006-08-18 16:16 UTC, Mihai Harpau
no flags Details
Xorg.0.log for i810 vers. 1.5.1.0 (71.77 KB, application/octet-stream)
2006-08-18 16:17 UTC, Mihai Harpau
no flags Details
configuration file for Xorg (3.08 KB, application/octet-stream)
2006-08-18 16:19 UTC, Mihai Harpau
no flags Details

Description Mihai Harpau 2006-08-18 16:13:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.6) Gecko/20060808 Fedora/1.5.0.6-2.fc5 Firefox/1.5.0.6 pango-text

Description of problem:
After I upgraded the drivers for my i810 video card to version 1.5.1 from updates-testing I have lost accelerated 3d. Before the upgrade were working fine with version 1.4.1.3.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.5.1.0-1

How reproducible:
Always


Steps to Reproduce:
1.run glxinfo
2.
3.

Actual Results:
[mihai@sysop ~]$ glxinfo|head

ERROR!  sizeof(I830DRIRec) does not match passed size from device driver
libGL warning: 3D driver returned no fbconfigs.
libGL error: InitDriver failed
libGL error: reverting to (slow) indirect rendering
name of display: :0.0
display: :0  screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_OML_swap_method, GLX_SGI_make_current_read,
    GLX_SGIS_multisample, GLX_SGIX_hyperpipe, GLX_SGIX_swap_barrier,
    GLX_SGIX_fbconfig


Expected Results:
[mihai@sysop ~]$ glxinfo|head
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_OML_swap_method, GLX_SGI_make_current_read,
    GLX_SGIS_multisample, GLX_SGIX_hyperpipe, GLX_SGIX_swap_barrier,
    GLX_SGIX_fbconfig

Additional info:
This is a laptop HP Compaq nc6120 with video card
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03) (prog-if 00 [VGA])

Comment 1 Mihai Harpau 2006-08-18 16:16:09 UTC
Created attachment 134453 [details]
Xorg.0.log for i810 vers. 1.4.1.3

Comment 2 Mihai Harpau 2006-08-18 16:17:09 UTC
Created attachment 134454 [details]
Xorg.0.log for i810 vers. 1.5.1.0

Comment 3 Mihai Harpau 2006-08-18 16:19:04 UTC
Created attachment 134455 [details]
configuration file for Xorg

Comment 4 Mihai Harpau 2007-05-02 08:30:47 UTC
after upgrade to FC6 3D accelerated is working ok


Note You need to log in before you can comment on or make changes to this bug.